Loading...
Searching...
No Matches
pcl::device::OctreeGlobal Struct Reference

`#include </build/pcl-KfHoN9/pcl-1.15.0+dfsg/gpu/octree/src/internal.hpp>`

Inheritance diagram for pcl::device::OctreeGlobal:

## Public Member Functions

| OctreeGlobal ()

## Public Attributes

int * | nodes
int * | codes
int * | begs
int * | ends
int * | nodes_num
int * | parent

## Detailed Description

Definition at line 48 of file internal.hpp.

## Constructor & Destructor Documentation

## OctreeGlobal()

pcl::device::OctreeGlobal::OctreeGlobal | ( |  | ) |

inline

Definition at line 59 of file internal.hpp.

## Member Data Documentation

## begs

int* pcl::device::OctreeGlobal::begs

Definition at line 52 of file internal.hpp.

## codes

int* pcl::device::OctreeGlobal::codes

Definition at line 51 of file internal.hpp.

## ends

int* pcl::device::OctreeGlobal::ends

Definition at line 53 of file internal.hpp.

## nodes

int* pcl::device::OctreeGlobal::nodes

Definition at line 50 of file internal.hpp.

Referenced by pcl::device::OctreeIteratorDeviceNS::operator++(), and pcl::device::OctreePriorityIteratorDevice::operator++().

## nodes_num

int* pcl::device::OctreeGlobal::nodes_num

Definition at line 55 of file internal.hpp.

## parent

int* pcl::device::OctreeGlobal::parent

Definition at line 57 of file internal.hpp.

Referenced by pcl::device::OctreeIteratorDeviceNS::operator++(), and pcl::device::OctreePriorityIteratorDevice::operator++().

The documentation for this struct was generated from the following file:

- /build/pcl-KfHoN9/pcl-1.15.0+dfsg/gpu/octree/src/internal.hpp